
Ceph - Bug #18478

"FAILED assert(crypto_context != __null)" in rados-kraken-distro-basic-smithi

01/10/2017 09:28 PM - Yuri Weinstein

Status: Closed % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Q/A Affected Versions:  

Tags:  ceph-qa-suite: rados

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Run: http://pulpito.ceph.com/teuthology-2017-01-08_11:30:04-rados-kraken-distro-basic-smithi/

Job: 701014

Logs: http://qa-proxy.ceph.com/teuthology/teuthology-2017-01-08_11:30:04-rados-kraken-distro-basic-smithi/701014/teuthology.log

2017-01-09T13:25:07.041 INFO:tasks.workunit.client.0.smithi114.stderr:/tmp/buildd/ceph-11.1.0-6181

-g59ae21b/src/common/ceph_crypto.cc: In function 'void ceph::crypto::init(CephContext*)' thread 7f

841c3a4540 time 2017-01-09 13:25:07.043181

2017-01-09T13:25:07.044 INFO:tasks.workunit.client.0.smithi114.stderr:/tmp/buildd/ceph-11.1.0-6181

-g59ae21b/src/common/ceph_crypto.cc: 77: FAILED assert(crypto_context != __null)

2017-01-09T13:25:07.047 INFO:tasks.workunit.client.0.smithi114.stderr: ceph version 11.1.0-6181-g5

9ae21b (59ae21bdd42374816a8a411e3f02d5b6d07c34e2)

2017-01-09T13:25:07.049 INFO:tasks.workunit.client.0.smithi114.stderr: 1: (()+0x152fd0) [0x7f84139

a3fd0]

2017-01-09T13:25:07.052 INFO:tasks.workunit.client.0.smithi114.stderr: 2: (()+0x2ca2a4) [0x7f8413b

1b2a4]

2017-01-09T13:25:07.055 INFO:tasks.workunit.client.0.smithi114.stderr: 3: (()+0x273fa9) [0x7f8413a

c4fa9]

2017-01-09T13:25:07.058 INFO:tasks.workunit.client.0.smithi114.stderr: 4: (()+0x270e50) [0x7f8413a

c1e50]

2017-01-09T13:25:07.060 INFO:tasks.workunit.client.0.smithi114.stderr: 5: (librados::RadosClient::

connect()+0x30) [0x7f841390d6b0]

2017-01-09T13:25:07.063 INFO:tasks.workunit.client.0.smithi114.stderr: 6: ./env_librados_test() [0

x4aea1c]

2017-01-09T13:25:07.065 INFO:tasks.workunit.client.0.smithi114.stderr: 7: ./env_librados_test() [0

x4aebe8]

2017-01-09T13:25:07.067 INFO:tasks.workunit.client.0.smithi114.stderr: 8: ./env_librados_test() [0

x789e47]

2017-01-09T13:25:07.069 INFO:tasks.workunit.client.0.smithi114.stderr: 9: ./env_librados_test() [0

x78070b]

2017-01-09T13:25:07.072 INFO:tasks.workunit.client.0.smithi114.stderr: 10: ./env_librados_test() [

0x780915]

2017-01-09T13:25:07.075 INFO:tasks.workunit.client.0.smithi114.stderr: 11: ./env_librados_test() [

0x780d8d]

2017-01-09T13:25:07.077 INFO:tasks.workunit.client.0.smithi114.stderr: 12: ./env_librados_test() [

0x78a397]

2017-01-09T13:25:07.080 INFO:tasks.workunit.client.0.smithi114.stderr: 13: ./env_librados_test() [

0x7810af]

2017-01-09T13:25:07.082 INFO:tasks.workunit.client.0.smithi114.stderr: 14: ./env_librados_test() [

0x40d3d1]

2017-01-09T13:25:07.084 INFO:tasks.workunit.client.0.smithi114.stderr: 15: (__libc_start_main()+0x

f0) [0x7f84121b0830]

2017-01-09T13:25:07.087 INFO:tasks.workunit.client.0.smithi114.stderr: 16: ./env_librados_test() [
0x49c1c9]

Related issues:

Related to RADOS - Bug #14115: crypto: race in nss init Can't reproduce

Duplicates Ceph - Bug #19741: test_envlibrados_for_rocksdb.yaml fails on cryp... Resolved 04/21/2017

History

#1 - 01/10/2017 09:37 PM - Yuri Weinstein

- Related to Bug #14115: crypto: race in nss init added

#2 - 01/16/2017 05:27 PM - Yuri Weinstein

http://qa-proxy.ceph.com/teuthology/yuriw-2017-01-14_16:29:03-rados-wip-yuri-testing2_2017_1_13---basic-smithi/717594/teuthology.log

g6203be6/src/common/ceph_crypto.cc: 77: FAILED assert(crypto_context != __null)

2017-01-14T16:39:31.678 INFO:tasks.workunit.client.0.smithi007.stderr: ceph version 11.1.0-6752-g6203be6 (6203

be690781fc076daf4877840e927bdab8dcb1)

2017-01-14T16:39:31.680 INFO:tasks.workunit.client.0.smithi007.stderr: 1: (ceph::__ceph_assert_fail(char const

*, char const*, int, char const*)+0x110) [0x7f6ed6b86b20]

2017-01-14T16:39:31.682 INFO:tasks.workunit.client.0.smithi007.stderr: 2: (ceph::crypto::init(CephContext*)+0x

103) [0x7f6ed6d69eb3]

2017-01-14T16:39:31.685 INFO:tasks.workunit.client.0.smithi007.stderr: 3: (CephContext::init_crypto()+0x15) [0

x7f6ed6d16b15]

2017-01-14T16:39:31.687 INFO:tasks.workunit.client.0.smithi007.stderr: 4: (common_init_finish(CephContext*)+0x

10) [0x7f6ed6d135e0]

2017-01-14T16:39:31.690 INFO:tasks.workunit.client.0.smithi007.stderr: 5: (librados::RadosClient::connect()+0x

30) [0x7f6ee0cba0d0]

2017-01-14T16:39:31.693 INFO:tasks.workunit.client.0.smithi007.stderr: 6: ./env_librados_test() [0x4d8a39]

2017-01-14T16:39:31.695 INFO:tasks.workunit.client.0.smithi007.stderr: 7: ./env_librados_test() [0x4d8cd8]

2017-01-14T16:39:31.697 INFO:tasks.workunit.client.0.smithi007.stderr: 8: ./env_librados_test() [0x7762c9]

2017-01-14T16:39:31.699 INFO:tasks.workunit.client.0.smithi007.stderr: 9: ./env_librados_test() [0x769d3a]

2017-01-14T16:39:31.701 INFO:tasks.workunit.client.0.smithi007.stderr: 10: ./env_librados_test() [0x769e37]

2017-01-14T16:39:31.703 INFO:tasks.workunit.client.0.smithi007.stderr: 11: ./env_librados_test() [0x76a0bd]

2017-01-14T16:39:31.705 INFO:tasks.workunit.client.0.smithi007.stderr: 12: ./env_librados_test() [0x76a393]

2017-01-14T16:39:31.707 INFO:tasks.workunit.client.0.smithi007.stderr: 13: ./env_librados_test() [0x4106e1]

2017-01-14T16:39:31.709 INFO:tasks.workunit.client.0.smithi007.stderr: 14: (__libc_start_main()+0xf5) [0x7f6ed

f3e6b35]

2017-01-14T16:39:31.711 INFO:tasks.workunit.client.0.smithi007.stderr: 15: ./env_librados_test() [0x4c4e9a]

2017-01-14T16:39:31.713 INFO:tasks.workunit.client.0.smithi007.stderr: NOTE: a copy of the executable, or `obj

dump -rdS <executable>` is needed to interpret this.
#3 - 04/27/2017 03:21 PM - Yuri Weinstein

on master

http://qa-proxy.ceph.com/teuthology/yuriw-2017-04-27_14:54:54-rados-wip-sage-testing_2017_4_27_2---basic-smithi/1074061/teuthology.log

#4 - 06/21/2017 12:00 PM - Kefu Chai

- Related to Bug #19741: test_envlibrados_for_rocksdb.yaml fails on crypto restart added

#5 - 06/23/2017 04:58 PM - Kefu Chai

- Related to deleted (Bug #19741: test_envlibrados_for_rocksdb.yaml fails on crypto restart)

#6 - 06/23/2017 04:58 PM - Kefu Chai

- Duplicates Bug #19741: test_envlibrados_for_rocksdb.yaml fails on crypto restart added

#7 - 06/23/2017 04:58 PM - Kefu Chai

- Status changed from New to Duplicate

#8 - 10/02/2017 05:01 PM - Yuri Weinstein

- Status changed from Duplicate to New

@Kefu still see in /a/teuthology-2017-09-28_03:25:02-upgrade:kraken-x-luminous-distro-basic-smithi/1681208/teuthology.log

Do we need a backport on kraken maybe?

ref: http://tracker.ceph.com/issues/19741

#9 - 10/02/2017 05:52 PM - Chris Holcombe

I'm also seeing this on jewel radosgw's:

2017-10-02 17:49:35.645828 7f1c03520a00  0 ceph version 10.2.9 (2ee413f77150c0f375ff6f10edd6c8f9c7d060d0), pro

cess radosgw, pid 262287

2017-10-02 17:49:35.647127 7f1c03520a00  0 pidfile_write: ignore empty --pid-file

2017-10-02 17:49:35.653891 7f1c03520a00 -1 common/ceph_crypto.cc: In function 'void ceph::crypto::init(CephCon

text*)' thread 7f1c03520a00 time 2017-10-02 17:49:35.650749

common/ceph_crypto.cc: 77: FAILED assert(crypto_context != __null)

 ceph version 10.2.9 (2ee413f77150c0f375ff6f10edd6c8f9c7d060d0)

 1: (ceph::__ceph_assert_fail(char const*, char const*, int, char const*)+0x80) [0x7f1bf9e55a80]

 2: (ceph::crypto::init(CephContext*)+0x104) [0x7f1bf9e6f754]

 3: (CephContext::init_crypto()+0x19) [0x7f1bf9e68d49]

 4: (common_init_finish(CephContext*)+0x10) [0x7f1bf9e87960]

 5: (main()+0x848) [0x474a0df18]

 6: (__libc_start_main()+0xf0) [0x7f1bf8480830]

 7: (_start()+0x29) [0x474a106e9]

 NOTE: a copy of the executable, or `objdump -rdS <executable>` is needed to interpret this.
#10 - 05/05/2021 03:40 PM - Sage Weil

- Status changed from New to Closed
